0

On Juno the default Mega deb package is not installing because of missing dependencies which using sudo apt install -f does not resolve. In face of better solution I came here to see what can be done, the last elementary available version of Mega is for Loki (which was what I was using and it worked perfectly).

When trying to install the Loki version it gives the following dependency chain:

dpkg: dependency problems prevent configuration of megasync:
 megasync depends on libcrypto++9v5; however:
  Package libcrypto++9v5 is not installed.
 megasync depends on libqt4-dbus (>= 4:4.5.3); however:
  Package libqt4-dbus is not installed.
 megasync depends on libqt4-network (>= 4:4.7.0~beta1); however:
  Package libqt4-network is not installed.
 megasync depends on libqt4-svg (>= 4:4.5.3); however:
  Package libqt4-svg is not installed.
 megasync depends on libqtcore4 (>= 4:4.8.0); however:
  Package libqtcore4 is not installed.
 megasync depends on libqtgui4 (>= 4:4.8.0); however:
  Package libqtgui4 is not installed.

The first dependency I saw that other people had a problem as well, and the others should be fixed with a simple sudo apt install -f but they aren't being fixed. What could be a better solution instead of hand installing every package? Does the package provider wasn't caring enough to see this or is APT?

1

You can install MegaSync from here (use Eddy if you want to do it from a GUI), and install Ayatana indicators, which will show the 'normal' tray icons. But keep in mind that this is an unsupported change. If you really want to do it, just install this and this and you're good to go.

1

megacmd from mega.nz site works perfectly on Juno if you have no console barrier.

megasync(for Ubuntu 18.04) also works without indicator. It does shows warning for the first launch that system tray doesn't exist but relaunch of a program shows the main window.

0
  • Loki = Ubuntu 16.04 (xenial)

  • Juno = Ubuntu 18.04 (bionic)

Megasync does not support ElementaryOS Juno right now.

You can now download and install megasync.deb for Ubuntu 18.04 on Juno.

There is still a little problem that mega icon cannot see on the system tray.


Update

There's a version available for Juno (dic 4th 2018)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.